Bug 206701 - anaconda can't find mouseconfig
anaconda can't find mouseconfig
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-15 15:36 EDT by Joshua Jensen
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-18 15:02:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Jensen 2006-09-15 15:36:06 EDT
Description of problem:

When kickstarting a with "%packages --nobase", anaconda says "sh:  can't find
/usr/sbin/mouseconfig"

Wouldn't it make sense for anaconda, if it assumes system-config-mouse was
installed, to *require* it to be installed?  Or if not to at least test if what
it is calling is there, and if not put up a warning or otherwise bomb?
This is similar to BZ # 204797.  If anaconda assumes that it is there, shouldn't
it insist that it is installed ?

Version-Release number of selected component (if applicable):

RHEL4 U4
Comment 1 Joshua Jensen 2006-09-18 14:38:09 EDT
... also, authconfig should be on the "must install" list.

Thanks!
Comment 2 Chris Lumens 2006-09-18 15:02:23 EDT
This is already fixed in Rawhide, and will be in the next release of RHEL. 
We're not even using mouseconfig in anaconda anymore, so that's no longer a
problem.  If you need this fix in an update release of RHEL, please talk to your
support representative who will escalate the problem report through the
appropriate channels.

Note You need to log in before you can comment on or make changes to this bug.